Error after updating DLL to 4.6

Discussions concerning general integration topics.

Moderator: Phil Barton

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Wed Nov 27, 2019 3:13 am

Hi Deepak,

Since we are consuming the select.client dll and we are not adding any IronPythen reference in our project.
Since the updated reference with IronPython would have created a new version of select.client dlls and we need that for our application to use.
So how can we get this updated select client dlls which we can use in custom project?

Regards,
Joble

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Wed Nov 27, 2019 3:13 am

Hi Deepak,

Since we are consuming the select.client dll and we are not adding any IronPythen reference in our project.
Since the updated reference with IronPython would have created a new version of select.client dlls and we need that for our application to use.
So how can we get this updated select client dlls which we can use in custom project?

Regards,
Joble

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Wed Nov 27, 2019 3:14 am

Hi Deepak,

Since we are consuming the select.client dll and we are not adding any IronPythen reference in our project.
Since the updated reference with IronPython would have created a new version of select.client dlls and we need that for our application to use.
So how can we get this updated select client dlls which we can use in custom project?

Regards,
Joble

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Wed Nov 27, 2019 3:15 am

Hi Deepak,

Since we are consuming the select.client dll and we are not adding any IronPythen reference in our project.
Since the updated reference with IronPython would have created a new version of select.client dlls and we need that for our application to use.
So how can we get this updated select client dlls which we can use in custom project?

Regards,
Joble

BobRichards
Posts: 813
Joined: Wed Jan 15, 2014 3:50 pm
Location: Raleigh, NC
Contact:

Re: Error after updating DLL to 4.6

Post by BobRichards » Wed Nov 27, 2019 10:56 am

Sorry but I don't understand. Adding the IronPython NuGet package (version 2.7.3 so it matches Select) will not effect the versions of any Select DLLs.
Bob Richards, Software Developer, SoftPro

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Wed Nov 27, 2019 1:02 pm

But how does it resolve then just adding the reference of IronPython.
This might internally referreing the new refernce, so the softpro dll will get updated with new timestamp.
So we should get use this for the custom application build.


Regards,
Joble

BobRichards
Posts: 813
Joined: Wed Jan 15, 2014 3:50 pm
Location: Raleigh, NC
Contact:

Re: Error after updating DLL to 4.6

Post by BobRichards » Mon Dec 02, 2019 10:43 am

I still don't understand your cause for concern.

The underlying problem is that the IronPython dll is not added to the project libraries. When you add a NuGet package reference to a project, the package will download the contents of the package automatically (in this case, IronPython.dll). This will not change any Select dlls. You do not need to rebuild your project if you did not reference the python dll directly. Just use the correct NuGet package (2.7.3) and all will be fixed.
Bob Richards, Software Developer, SoftPro

ngillet
Posts: 6
Joined: Tue Apr 05, 2016 4:32 pm

Re: Error after updating DLL to 4.6

Post by ngillet » Mon Dec 02, 2019 5:15 pm

Hi Bob,

Is the NuGet package (2.7.3) something we need to get from SoftPro?

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Mon Dec 02, 2019 11:43 pm

Hi Bob,

I did the same way as you mentioned, added the Nuget package to the project, but that still didn't solve the issue.
My point is here is that none of my component made any reference to IronPython.dll and hence even if I add this reference, this will not have any impact or change. However, I believe the SoftPro.Client dll has this reference of IronPython dll and hence when you add this reference in SoftPro environment the new reference will get updated and the corresponding dll will get updated. This you can verifiy with the timestamp of the SoftPro dll once the new reference get added.
Since in our custom build, we just add the SoftPro.Client dll as static and hence in my environment if I add Nuget package there won't be any change happen to the existing SoftPro dll.
So in order to resolve my issue, I need the updated reference of IronPython.dll with SoftPro dll.
Hence I request to provide the updated(at least the timestap) SoftPro dll or dlls, so that I can add these in my custom build environment and give a try.


Regards.

Joble

joble
Posts: 10
Joined: Mon Aug 19, 2019 11:57 pm

Re: Error after updating DLL to 4.6

Post by joble » Tue Dec 10, 2019 4:27 am

Hi Bob,

We do not have SoftPro source code, we do have only the Select.Client dlls to include in our project. Hence the above mentioned Nuget reference update will not work here. Hence I am requesting to provided the Select.Client dlls which got updated with the Nuget reference.

Regards,
Joble

Post Reply